# Notebooks

## Overview
This directory includes a few notebooks for getting started with SYMPAIS. We also provide links to launch
them directly in [Google Colab](https://research.google.com/colaboratory/).

| Notebook    | Description | Colab |
| ----------- | ----------- | ----- |
| [getting_started.ipynb](./getting_started.ipynb) | walks through the key APIs in the library and how to extend it to new problem definitions | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/ethanluoyc/sympais/blob/master/notebooks/getting_started.ipynb) |
| [results.ipynb](results.ipynb)   | includes functions for reproducing the figures used in the ESEC/FSE paper. | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/ethanluoyc/sympais/blob/master/notebooks/results.ipynb) |
| [torus_demo.ipynb](torus_demo.ipynb) | includes interactive widgets running SYMPAIS on the Torus task. | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/ethanluoyc/sympais/blob/master/notebooks/torus_demo.ipynb) |
| [pimais.ipynb](pimais.ipynb) | demonstates the standalone PI-MAIS [1] implementation on tasks introduced in the paper. | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/ethanluoyc/sympais/blob/master/notebooks/pimais.ipynb) |

## References
[1]: Martino, L., Elvira, V., Luengo, D. et al. _Layered adaptive importance sampling_. Stat Comput 27, 599–623 (2017). https://arxiv.org/abs/1505.04732
